Minimum System Requirements

The following system requirements will be needed to fully utilize this website

  1. Broadband Internet Connection

  2. Microsoft Internet Explorer 10.0 or Higher - Click Here for the Latest Version

  3. Adobe Reader 10.0 or Higher - Click Here for the Latest Version
  4. .
    • Please note that Adobe Reader requires a 32 bit browser. You may experience issues with the catalogs and I&O manuals when using the 64-bit version of Internet Explorer.

    • Running Adobe Reader in protected mode may cause issues with our pdf catalogs. For information on this Adobe Reader setting, Click Here




PRIVACY STATEMENT
Copyright © 2014 Crane Pumps & Systems. All rights reserved.
'Crane' is a registered trademark of Crane Co.